<%= form_with model: user, local: true do |form| %>

  <div class="form-group">
    <%= form.label :ชื่อ, style: "display: block" %>
    <%= form.text_field :name, class: 'form-control' %>
    <% user.errors.full_messages_for(:name).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("name","") %>
      </div>
    <% end %>

    <%= form.label :username, style: "display: block" %>
    <%= form.text_field :username, class: 'form-control' %>
    <% user.errors.full_messages_for(:username).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("username","") %>
      </div>
    <% end %>

    <%= form.label :email, style: "display: block" %>
    <%= form.text_field :email, class: 'form-control' %>
    <% user.errors.full_messages_for(:email).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("email","") %>
      </div>
    <% end %>

    <%= form.fields_for :user_datum do |datum| %>
    
      <%= datum.label 'สองตัว/บาทละ', style: "display: block" %>
      <%= datum.text_field :percent, class: 'form-control' %>
      <% user.errors.full_messages_for(:user_percent).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("percent","") %>
        </div>
      <% end %>

      <%= datum.label 'สามตัวตรง/บาทละ', style: "display: block" %>
      <%= datum.text_field :three_percent, class: 'form-control' %>
      <% user.errors.full_messages_for(:three_percent).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("three_percent","") %>
        </div>
      <% end %>

      <%= datum.label 'สามตัวโต๊ด/บาทละ', style: "display: block" %>
      <%= datum.text_field :three_reverse_percent, class: 'form-control' %>
      <% user.errors.full_messages_for(:three_reverse_percent).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("three_reverse_percent","") %>
        </div>
      <% end %>

      <%= datum.label 'วิ่งบน/บาทละ', style: "display: block" %>
      <%= datum.text_field :run_percent, class: 'form-control' %>
      <% user.errors.full_messages_for(:run_percent).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("run_percent","") %>
        </div>
      <% end %>

      <%= datum.label 'วิ่งล่าง/บาทละ', style: "display: block" %>
      <%= datum.text_field :run_bottom_percent, class: 'form-control' %>
      <% user.errors.full_messages_for(:run_percent).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("run_percent","") %>
        </div>
      <% end %>

      <%= datum.label :เปอร์เซ็น, style: "display: block" %>
      <%= datum.text_field :user_percent, class: 'form-control' %>
      <% user.errors.full_messages_for(:percent_user).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("percent","") %>
        </div>
      <% end %>

      <%= datum.label :'สามตัว/เปอร์เซ็น', style: "display: block" %>
      <%= datum.text_field :three_user_percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.user_percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum user percent","") %>
        </div>
      <% end %>

      <%= datum.label :'วิ่ง/เปอร์เซ็น', style: "display: block" %>
      <%= datum.text_field :run_user_percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.user_percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum user percent","") %>
        </div>
      <% end %>

      <%= datum.label :'Credit', style: "display: block" %>
      <%= datum.text_field :credit, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.credit").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum user percent","") %>
        </div>
      <% end %>

      <div class="form-group">
        <%= datum.label 'อนุญาตให้สู้', style: "display: block" %>
        <%= datum.select :fightable, User::FIGHTABLE, {selected: user.user_datum.fightable || 0 }, class: 'form-control' %>
      </div>

    <% end %>


  <div>
    <%= form.submit 'บันทึก', class: 'btn btn-primary' %>
  </div>
<% end %>